Subject: BGMP join/prune message beween BGMP internal peers??

From: [email-masked]
Date: Wed, 18 Apr 2001 14:26:39 -0700

Hi all,

     Will BGMP internal peers send BGMP join/prune messages to each other??  I
thought the answer is NO, i.e. BGMP join/prune message will only be sent between
BGMP external peers.  But the following quote from the second to the last
paragraph in section 5.3.1 of the BGMP spec really baffles me:

"Finally, if an (S,G) Join is received from an internal peer, the peer should be
stored with the M-IGP component target. If (S,G) state exists with the PR-bit
set, and the next-hop towards the nominal root for G is through the M-IGP
component, an (S,G) Poison-Reverse message is immediately sent to the internal
peer."

Thanks for your clarification
-- James C. Huang